Name:           crudini
Version:        0.9.5
Release:        %mkrel 1
Summary:        A utility for manipulating ini files
Group :         Development/Other

License:        GPLv2
URL:            https://github.com/pixelb/%{name}
Source0:        %{pypi_source}
Patch0:         crudini-py3.patch

BuildArch:      noarch
BuildRequires:  locales
BuildRequires:  pkgconfig(python3)

%description
A utility for easily handling ini files from the command line and shell
scripts.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build

%install
install -p -D -m 0755 %{name}.py %{buildroot}%{_bindir}/%{name}

%check
pushd tests
LC_ALL=en_US.utf8 ./test.sh
popd

%files
%doc README.md TODO NEWS example.ini
%license COPYING
%{_bindir}/%{name}


%changelog
* Sun Feb 18 2024 papoteur <papoteur> 0.9.5-1.mga10
+ Revision: 2042462
- new version 0.9.5
- Mass Rebuild - Python 3.12

* Sun Dec 25 2022 daviddavid <daviddavid> 0.9.4-1.mga9
+ Revision: 1926836
- new version: 0.9.4

* Thu Mar 24 2022 umeabot <umeabot> 0.9.3-3.mga9
+ Revision: 1825384
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.9.3-2.mga8
+ Revision: 1530528
- Mageia 8 Mass Rebuild

* Mon Sep 02 2019 daviddavid <daviddavid> 0.9.3-1.mga8
+ Revision: 1436218
- new version: 0.9.3
- port to Python 3

* Thu Sep 20 2018 umeabot <umeabot> 0.9-2.mga7
+ Revision: 1277825
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 daviddavid <daviddavid> 0.9-1.mga7
+ Revision: 1220728
- new version: 0.9

* Wed Feb 03 2016 umeabot <umeabot> 0.3-6.mga6
+ Revision: 933860
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-5.mga5
+ Revision: 748812
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-4.mga5
+ Revision: 678595
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3-3.mga4
+ Revision: 530710
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 neoclust <neoclust> 0.3-2.mga4
+ Revision: 459228
- imported package crudini


* Fri Mar 08 2013 Jakub Ruzicka <jruzicka@redhat.com> - 0.3-2
- Added BuildRequires python-iniparse.

* Fri Mar 08 2013 Jakub Ruzicka <jruzicka@redhat.com> - 0.3-1
- New version 0.3 includes COPYING licence file.
- Improved description.
- Added python-iniparse dependency.
- Added tests check.

* Thu Mar 07 2013 Jakub Ruzicka <jruzicka@redhat.com> - 0.1-1
- Initial package release
